=== debian/changelog ===
pipelight-multi (0.2.8.1-1) RELEASED; urgency=low

  * Fix Debian Wheezy repository

 -- Michael Mueller <michael@fds-team.de>  Sun, 11 Jan 2015 20:04:14 +0100

pipelight-multi (0.2.8.1) RELEASED; urgency=low

  * Change dependency from wine-compholio to wine-staging for Debian/Ubuntu
  * Update checksum for Shockwave

 -- Michael Mueller <michael@fds-team.de>  Sun, 11 Jan 2015 05:09:54 +0100

pipelight-multi (0.2.8) RELEASED; urgency=low

  * Use signature for install-dependency.sig in clearsign format
  * Use new key for signing install-dependency.sig (used for --update)
  * Use cached plugin information when plugin initialization fails
  * 'pipelight-plugin --update' now automatically updates file timestamps
  * Update Flash to 16.0.0.235
  * Update Silverlight to 5.1.30514.0
  * Update AdobeReader to 11.0.08
  * Update Shockwave to 12.1.5.155
  * Update Unity3D checksum
  * Update Foxit Reader to 7.0.6.1126 (broken in Wine 1.7.32)
  * Update Roblox checksum (broken in Wine 1.7.32)
  * Remove TrianglePlayer plugin (doesn't exist anymore?)
  * Avoid exporting unnecessary symbols in libpipelight.so
  * Rewrite Makefile system to automatically detect dependencies
  * Code cleanup

 -- Sebastian Lackner <sebastian@fds-team.de>  Wed, 10 Dec 2014 05:55:56 +0100

pipelight-multi (0.2.7.3) RELEASED; urgency=high

  * Fix 'pipelight-plugin --update' command

 -- Sebastian Lackner <sebastian@fds-team.de>  Sun, 20 Jul 2014 05:24:43 +0200

pipelight-multi (0.2.7.2) RELEASED; urgency=low

  * Update Flash to 14.0.0.145
  * Update Shockwave to 12.1.3.153
  * Update FoxitPDF to 6.2.1.0618
  * Update Unity3D to 4.5.2f1
  * Effectively drop group-privileges by calling initgroups()
    prior to setuid() and/or setgid()
  * Prefer `cp -af` over `install -m 0644`, but change timestamp
  * Add configure-switches: bash-interp, bindir, datadir, gpg-exec,
    libdir, mandir, mingw-cxxflags, so-modeq, git-commit
  * Preserve timestamps on 'make install'
  * Additional improvements to the build system
  * Fix --no-gpu-accel configure switch

 -- Michael Mueller <michael@fds-team.de>  Sat, 19 Jul 2014 22:51:15 +0200

pipelight-multi (0.2.7.1) RELEASED; urgency=low

  * Update Shockwave to 12.1.2.152
  * Fix AMD detection for open source drivers
  * Make Pipelight FreeBSD compatible

 -- Michael Mueller <michael@fds-team.de>  Mon, 09 Jun 2014 22:57:23 +0200

pipelight-multi (0.2.7) RELEASED; urgency=low

  * Update Flash to 13.0.0.214
  * Update Shockwave to 12.1.1.151
  * Update for Unity3D plugin
  * Update for Adobereader, FoxitReader and Roblox plugin
  * Added experimental TrianglePlayer plugin
  * Fixed pluginloader.exe crash when closing browser window and using
    multiple instances of the same plugin
  * Fix issue that Firefox detected wrong plugin version in some cases
  * Fix structure for x11drv_escape_set_drawable (linux windowless mode)
  * Integrate graphic driver check directly into pluginloader.exe
  * Allow changing strict draw ordering at runtime via context menu
  * Add system-check utility to verify that installation is correct
  * Remove full paths from plugin config files
  * Make scripts more compatible with BSD systems
  * Add --debug configure option
  * Code cleanup

 -- Michael Mueller <michael@fds-team.de>  Tue, 03 Jun 2014 03:09:13 +0200

pipelight-multi (0.2.6) RELEASED; urgency=low

  * Update Silverlight to 5.1.30214.0
  * Add ViewRight for Caiway plugin
  * Update Flash to 12.0.0.77
  * Update Shockwave Player to 12.1.0.150
  * Update Roblox plugin
  * Added Vizzed RGR plugin
  * Add pipelight-plugin commandline switch --list-enabled-all
  * Silverlight now works even with less strict user agent settings
  * Made pluginloader 64-bit compatible and added experimental 64-bit
    version of Flash
  * Add implementation for NPN_PluginThreadAsyncCall
  * Some first steps to make Pipelight MacOS compatible
  * --win{32/64}-prebuilt now automatically downloads the prebuilt binary
    if it doesn't exist yet in the 'make' step
  * Fixed compilation of 32bit pluginloader with wineg++
  * More code cleanup

 -- Michael Mueller <michael@fds-team.de>  Sun, 06 Apr 2014 04:42:15 +0200

pipelight-multi (0.2.5) RELEASED; urgency=low

  * Update Flash to 12.0.0.70
  * Update version of Unity3D, Shockwave and FoxitPDF
  * Add np-ActiveX plugin
  * Add Roblox plugin
  * Add Hikvision Webcontrol plugin as experimental plugin
  * install-dependency: Fix compatibility with old versions of mktemp
  * Add compile flag -DMINGW32_FALLBACK for old versions of Mingw
  * Increase startup timeout for Wine from 20sec to 1min (for slow PCs)
  * Add man page for pipelight-plugin commandline utility
  * Moved configure-* scripts to /usr/share/pipelight/scripts/*

 -- Michael Mueller <michael@fds-team.de>  Sat, 22 Feb 2014 02:46:41 +0100

pipelight-multi (0.2.4.2) RELEASED; urgency=high

  * Improved identifier caching system to ensure that the linux side never
    uses invalid values
  * Don't require ScheduleTimer and UnscheduleTimer function calls
  * Revert PIPELIGHT_SYNC in some specific cases, where some browsers seem
    to behave differently - will be readded later after some more testing

 -- Michael Mueller <michael@fds-team.de>  Mon, 20 Jan 2014 01:11:27 +0100

pipelight-multi (0.2.4.1) RELEASED; urgency=high

  * Fix a regression with Firefox/Opera browsers, which pass a malformed
    value in the plugin initialization array

 -- Michael Mueller <michael@fds-team.de>  Sun, 19 Jan 2014 18:13:43 +0100

pipelight-multi (0.2.4) RELEASED; urgency=low

  * Add Widevine plugin (version 6.0.0.12442)
  * Add experimental Adobe Reader plugin (version 11.0.06)
  * Updated Flash plugin to version 12.0.0.43
  * Updated version of Unity3D and FoxitPDF
  * Added additional wine patches to improve performance
  * Several speed improvements like: Give control back to plugin/browser before
    cleaning up stuff, use async calls when possible, improved refcounting
    system, use cache for NPIdentifiers

