=== debian/changelog ===
pipelight-multi (0.2.8.2-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 04 Mar 2016 11:58:51 -0800

pipelight-multi (0.2.8.2~ubuntu14.04.1) trusty; urgency=low

  * Auto build.

 -- Michael Müller <michael@fds-team.de>  Sun, 04 Oct 2015 13:01:15 +0000

pipelight-multi (0.2.8.2) RELEASED; urgency=low

  * Update Flash to 19.0.0.185
  * Update Shockwave to 12.2.0.162
  * Update Silverlight 5 to 5.1.40416.0
  * Update Unity3D checksum
  * Fix compatibility with gpg2

 -- Michael Mueller <michael@fds-team.de>  Sun, 04 Oct 2015 14:32:48 +0200
