=== debian/control ===
Source: pipelight-multi
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Michael Mueller <michael@fds-team.de>
Section: net
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8),
               libx11-dev (>= 2:1.3),
               mingw-w64,
               g++-mingw-w64,
               sed (>= 4.2.1),
               po-debconf
               
Package: pipelight-multi
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libx11-6, mesa-utils,
 ttf-mscorefonts-installer, wget, zenity | kde-baseapps-bin, zenity | qdbus,
 wine-staging, bash (>= 4.0), unzip, cabextract, gnupg
Conflicts: pipelight (<< 0.2.0~)
Replaces: pipelight (<< 0.2.0~)
Description: allows usage of Windows NPAPI plugins through Wine-staging
 Pipelight allows one to use NPAPI plugins inside a Linux browser
 with the help of Wine-staging.

Package: pipelight
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, pipelight-multi
Description: transitional package for pipelight-multi
 Pipelight allows one to use Silverlight inside a Linux browser 
 with the help of Wine.
 .
 Transitional dummy package. Please use pipelight-multi instead.
