=== debian/rules ===
#!/usr/bin/make -f
%:
		dh $@

override_dh_auto_configure:
ifeq ($(DEB_BUILD_ARCH), amd64)
	dh_auto_configure -- --win32-static --gcc-runtime-dlls=""  --with-win64 --wine-path="/opt/wine-staging/bin/wine"
else
	dh_auto_configure -- --win32-static --gcc-runtime-dlls=""  --wine-path="/opt/wine-staging/bin/wine"
endif

override_dh_auto_install:
		$(MAKE) DESTDIR=$$(pwd)/debian/pipelight-multi install
		mkdir -p $$(pwd)/debian/pipelight/usr/share/pipelight
		install -m 0644 "$$(pwd)/debian/README-pipelight" "$$(pwd)/debian/pipelight/usr/share/pipelight"
